Bug 237957 - Crash while looking at folder with 380 images for first time
Summary: Crash while looking at folder with 380 images for first time
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Image (show other bugs)
Version: 1.2.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-17 19:43 UTC by Thomas Caswell
Modified: 2017-07-11 09:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Caswell 2010-05-17 19:43:10 UTC
Application: digikam (1.2.0)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-22-generic x86_64
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
Digikam was loading thumbnails on a folder with 380 images.  I was poking around starting to look at pictures before it finished

 -- Backtrace:
Application: digiKam (digikam), signal: Aborted
[Current thread is 1 (Thread 0x7fb47bb827e0 (LWP 4764))]

Thread 23 (Thread 0x7fb467a01710 (LWP 4766)):
#0  0x00007fb4742bf7f5 in *__GI___xstat (vers=<value optimized out>, name=<value optimized out>, buf=0x3c00cd8) at ../sysdeps/unix/sysv/linux/wordsize-64/xstat.c:38
#1  0x00007fb4752f2876 in stat64 (this=0x3c00c90) at /usr/include/sys/stat.h:504
#2  QFSFileEnginePrivate::doStat (this=0x3c00c90) at io/qfsfileengine_unix.cpp:671
#3  0x00007fb4752f51f8 in QFSFileEngine::fileFlags (this=0x3c00cd8, type=) at io/qfsfileengine_unix.cpp:744
#4  0x00007fb4752ab182 in QFileInfoPrivate::getFileFlags (this=0x6d48ed0, request=) at io/qfileinfo.cpp:154
#5  0x00007fb4752ab7cb in QFileInfoPrivate::hasAccess (this=0x905b158, access=QFileInfoPrivate::ReadAccess) at io/qfileinfo.cpp:84
#6  0x00007fb47a03f300 in KExiv2Iface::KExiv2::load(QString const&) const () from /usr/lib/libkexiv2.so.8
#7  0x00007fb478b54cf9 in Digikam::DMetadata::load (this=0x905b158, filePath=...) at /build/buildd/digikam-1.2.0/libs/dmetadata/dmetadata.cpp:78
#8  0x00007fb47868c0d1 in Digikam::ImageScanner::loadFromDisk (this=0x7fb467a00210) at /build/buildd/digikam-1.2.0/libs/database/imagescanner.cpp:592
#9  0x00007fb478691798 in Digikam::ImageScanner::newFile (this=0x905b158, albumId=62917848) at /build/buildd/digikam-1.2.0/libs/database/imagescanner.cpp:98
#10 0x00007fb478642fcb in Digikam::CollectionScanner::scanNewFile (this=0x7fb467a00d20, info=..., albumId=0) at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:756
#11 0x00007fb478643d4b in Digikam::CollectionScanner::scanAlbum (this=<value optimized out>, location=<value optimized out>, album=<value optimized out>)
    at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:665
#12 0x00007fb478643c69 in Digikam::CollectionScanner::scanAlbum (this=<value optimized out>, location=<value optimized out>, album=<value optimized out>)
    at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:683
#13 0x00007fb478643c69 in Digikam::CollectionScanner::scanAlbum (this=<value optimized out>, location=<value optimized out>, album=<value optimized out>)
    at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:683
#14 0x00007fb478644827 in Digikam::CollectionScanner::scanAlbumRoot (this=0x7fb467a00d20, location=...) at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:479
#15 0x00007fb47864530b in Digikam::CollectionScanner::partialScan (this=0x7fb467a00d20, albumRoot=<value optimized out>, album=...)
    at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:334
#16 0x00007fb4786455d5 in Digikam::CollectionScanner::partialScan (this=0x7fb467a00d20, filePath=...) at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:288
#17 0x00000000006e1e2e in Digikam::ScanController::run (this=0x16ef400) at /build/buildd/digikam-1.2.0/digikam/scancontroller.cpp:553
#18 0x00007fb475227775 in QThreadPrivate::start (arg=0x16ef400) at thread/qthread_unix.cpp:248
#19 0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#20 0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#21 0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7fb45ffff710 (LWP 4804)):
#0  0x00007fff761ea904 in clock_gettime ()
#1  0x00007fb46d2d309f in *__GI_clock_gettime (clock_id=1, tp=0x7fb45fffeac0) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007fb47534299f in qt_gettime () at kernel/qcore_unix.cpp:111
#3  0x00007fb4753476ad in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007fb4753476d5 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007fb47534575d in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7fb45fffebdc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007fb475345805 in timerSourcePrepare (source=0x1, timeout=0x7fb45fffeac0) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007fb4715bceb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x00007fb4715bd318 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007fb4715bd8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007fb475345566 in QEventDispatcherGlib::processEvents (this=0x1bad9e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#11 0x00007fb47531a992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#12 0x00007fb47531ad6c in QEventLoop::exec (this=0x7fb45fffed70, flags=) at kernel/qeventloop.cpp:201
#13 0x00007fb475224d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007fb475227775 in QThreadPrivate::start (arg=0x1739160) at thread/qthread_unix.cpp:248
#15 0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7fb45f7fe710 (LWP 4805)):
#0  0x00007fff761ea904 in clock_gettime ()
#1  0x00007fb46d2d309f in *__GI_clock_gettime (clock_id=1, tp=0x7fb45f7fdac0) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007fb47534299f in qt_gettime () at kernel/qcore_unix.cpp:111
#3  0x00007fb4753476ad in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007fb4753476d5 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007fb47534575d in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7fb45f7fdbdc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007fb475345805 in timerSourcePrepare (source=0x1, timeout=0x7fb45f7fdac0) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007fb4715bceb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x00007fb4715bd318 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007fb4715bd8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007fb475345566 in QEventDispatcherGlib::processEvents (this=0x1badd80, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#11 0x00007fb47531a992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#12 0x00007fb47531ad6c in QEventLoop::exec (this=0x7fb45f7fdd70, flags=) at kernel/qeventloop.cpp:201
#13 0x00007fb475224d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007fb475227775 in QThreadPrivate::start (arg=0x16823e0) at thread/qthread_unix.cpp:248
#15 0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7fb45effd710 (LWP 4806)):
#0  0x00007fb473d9abc9 in ?? () from /usr/lib/libjpeg.so.62
#1  0x00007fb473d9d583 in ?? () from /usr/lib/libjpeg.so.62
#2  0x00007fb473d9c70e in ?? () from /usr/lib/libjpeg.so.62
#3  0x00007fb473d968e6 in jpeg_read_scanlines () from /usr/lib/libjpeg.so.62
#4  0x00007fb466b55a15 in read_jpeg_image (device=<value optimized out>, outImage=<value optimized out>, scaledSize=..., scaledClipRect=..., clipRect=..., inQuality=<value optimized out>)
    at qjpeghandler.cpp:883
#5  0x00007fb466b562ae in QJpegHandler::read (this=0x7fb444bdd1d0, image=0x7fb45effc450) at qjpeghandler.cpp:1198
#6  0x00007fb4762db9e3 in QImageReader::read (this=0x7fb45effc4a0, image=0x7fb45effc450) at image/qimagereader.cpp:1117
#7  0x00007fb4762dbf4c in QImageReader::read (this=0x7fb45effc4a0) at image/qimagereader.cpp:1067
#8  0x00007fb4762c8318 in QImage::fromData (data=<value optimized out>, size=<value optimized out>, format=<value optimized out>) at image/qimage.cpp:4698
#9  0x00007fb4762cf55e in QImage::loadFromData (this=0x7fb45effc730, data=0xc609396383da8046 <Address 0xc609396383da8046 out of bounds>, len=14, format=0xa0 <Address 0xa0 out of bounds>)
    at image/qimage.cpp:4656
#10 0x00007fb479dce92b in KDcrawIface::KDcraw::loadEmbeddedPreview(QImage&, QString const&) () from /usr/lib/libkdcraw.so.8
#11 0x00007fb478b9ef23 in Digikam::ThumbnailCreator::createThumbnail (this=0x1b19840, info=<value optimized out>) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailcreator.cpp:315
#12 0x00007fb478b9fcad in Digikam::ThumbnailCreator::load (this=0x1b19840, path=...) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailcreator.cpp:195
#13 0x00007fb478ba7073 in Digikam::ThumbnailLoadingTask::execute (this=0x733c2c0) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailtask.cpp:133
#14 0x00007fb478b814fc in Digikam::LoadSaveThread::run (this=0x1b19620) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:134
#15 0x00007fb475227775 in QThreadPrivate::start (arg=0x1b19620) at thread/qthread_unix.cpp:248
#16 0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#17 0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7fb45e7fc710 (LWP 4807)):
#0  0x00007fff761ea904 in clock_gettime ()
#1  0x00007fb46d2d309f in *__GI_clock_gettime (clock_id=1, tp=0x7fb45e7fbac0) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007fb47534299f in qt_gettime () at kernel/qcore_unix.cpp:111
#3  0x00007fb4753476ad in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007fb4753476d5 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007fb47534575d in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7fb45e7fbbdc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007fb475345805 in timerSourcePrepare (source=0x1, timeout=0x7fb45e7fbac0) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007fb4715bceb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x00007fb4715bd318 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007fb4715bd8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007fb475345566 in QEventDispatcherGlib::processEvents (this=0x1a1dbe0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#11 0x00007fb47531a992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#12 0x00007fb47531ad6c in QEventLoop::exec (this=0x7fb45e7fbd70, flags=) at kernel/qeventloop.cpp:201
#13 0x00007fb475224d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007fb475227775 in QThreadPrivate::start (arg=0x1a1c500) at thread/qthread_unix.cpp:248
#15 0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fb45dffb710 (LWP 4808)):
#0  0x00007fff761ea904 in clock_gettime ()
#1  0x00007fb46d2d309f in *__GI_clock_gettime (clock_id=1, tp=0x7fb45dffaac0) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007fb47534299f in qt_gettime () at kernel/qcore_unix.cpp:111
#3  0x00007fb4753476ad in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007fb4753476d5 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007fb47534575d in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7fb45dffabdc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007fb475345805 in timerSourcePrepare (source=0x1, timeout=0x7fb45dffaac0) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007fb4715bceb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x00007fb4715bd318 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007fb4715bd8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007fb475345566 in QEventDispatcherGlib::processEvents (this=0x1a1c840, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#11 0x00007fb47531a992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#12 0x00007fb47531ad6c in QEventLoop::exec (this=0x7fb45dffad70, flags=) at kernel/qeventloop.cpp:201
#13 0x00007fb475224d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007fb475227775 in QThreadPrivate::start (arg=0x1a1d5e0) at thread/qthread_unix.cpp:248
#15 0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fb4557f1710 (LWP 4809)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fb45b942081 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fb4543b5710 (LWP 4810)):
#0  0x00007fb4742c6fb3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fb45b96b2c5 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007fb45b94fc99 in ?? () from /usr/lib/libxine.so.1
#3  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fb453bb4710 (LWP 4811)):
#0  __pthread_mutex_lock (mutex=0x212cd08) at pthread_mutex_lock.c:62
#1  0x00007fb4715bd5d1 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fb4715bd8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fb475345566 in QEventDispatcherGlib::processEvents (this=0x212cc10, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fb47531a992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fb47531ad6c in QEventLoop::exec (this=0x7fb453bb3d10, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fb475224d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fb45bb9e440 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007fb475227775 in QThreadPrivate::start (arg=0x212c660) at thread/qthread_unix.cpp:248
#9  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fb4531a9710 (LWP 4814)):
#0  0x00007fb4742c1f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fb4531ae915 in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
#2  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fb4529a8710 (LWP 4815)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb45b952e23 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fb450714710 (LWP 4816)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb47522872b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x240f768, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x240f768, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb478b81532 in Digikam::LoadSaveThread::run (this=0x240f750) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb475227775 in QThreadPrivate::start (arg=0x240f750) at thread/qthread_unix.cpp:248
#5  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fb44ff13710 (LWP 4823)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb47522872b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2773a08, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2773a08, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb478b81532 in Digikam::LoadSaveThread::run (this=0x27739f0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb475227775 in QThreadPrivate::start (arg=0x27739f0) at thread/qthread_unix.cpp:248
#5  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fb44f712710 (LWP 4824)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb47522872b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x281f0a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x281f0a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb478b81532 in Digikam::LoadSaveThread::run (this=0x281f090) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb475227775 in QThreadPrivate::start (arg=0x281f090) at thread/qthread_unix.cpp:248
#5  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fb44df0f710 (LWP 4829)):
#0  __pthread_mutex_unlock (mutex=0x3daa4b8) at pthread_mutex_unlock.c:289
#1  0x00007fb4715bcb01 in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x00007fb4715bd4c3 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007fb4715bd8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007fb475345566 in QEventDispatcherGlib::processEvents (this=0x3da8e30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007fb47531a992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007fb47531ad6c in QEventLoop::exec (this=0x7fb44df0ed30, flags=) at kernel/qeventloop.cpp:201
#7  0x00007fb475224d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007fb4752fb178 in QInotifyFileSystemWatcherEngine::run (this=0x3d8b810) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fb475227775 in QThreadPrivate::start (arg=0x3d8b810) at thread/qthread_unix.cpp:248
#10 0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fb44ef11710 (LWP 4830)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb47522872b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x3da9ad8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3da9ad8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb478b81532 in Digikam::LoadSaveThread::run (this=0x3da9ac0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb475227775 in QThreadPrivate::start (arg=0x3da9ac0) at thread/qthread_unix.cpp:248
#5  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fb44ba4d710 (LWP 4854)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb47522872b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x536d658, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x536d658, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb478b81532 in Digikam::LoadSaveThread::run (this=0x536d640) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb475227775 in QThreadPrivate::start (arg=0x536d640) at thread/qthread_unix.cpp:248
#5  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fb44b24c710 (LWP 4861)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb47522872b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x566c578, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x566c578, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000004ef3f3 in Digikam::CameraController::run (this=0x55e8ae0) at /build/buildd/digikam-1.2.0/utilities/cameragui/cameracontroller.cpp:328
#4  0x00007fb475227775 in QThreadPrivate::start (arg=0x55e8ae0) at thread/qthread_unix.cpp:248
#5  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fb43a78b710 (LWP 4868)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb47522872b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x247be28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x247be28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb478b81532 in Digikam::LoadSaveThread::run (this=0x247be10) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb475227775 in QThreadPrivate::start (arg=0x247be10) at thread/qthread_unix.cpp:248
#5  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fb43af8c710 (LWP 4874)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb47522872b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x5624d38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x5624d38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000004f4bc7 in Digikam::CameraHistoryUpdater::run (this=0x5684820) at /build/buildd/digikam-1.2.0/utilities/cameragui/camerahistoryupdater.cpp:114
#4  0x00007fb475227775 in QThreadPrivate::start (arg=0x5684820) at thread/qthread_unix.cpp:248
#5  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fb449248710 (LWP 4957)):
[KCrash Handler]
#5  0x00007fb47421ba75 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00007fb47421f5c0 in *__GI_abort () at abort.c:92
#7  0x00007fb474ad08e5 in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#8  0x00007fb474aced16 in ?? () from /usr/lib/libstdc++.so.6
#9  0x00007fb474aced43 in std::terminate() () from /usr/lib/libstdc++.so.6
#10 0x00007fb474acee3e in __cxa_throw () from /usr/lib/libstdc++.so.6
#11 0x00007fb474acf2cd in operator new(unsigned long) () from /usr/lib/libstdc++.so.6
#12 0x00007fb474acf389 in operator new[](unsigned long) () from /usr/lib/libstdc++.so.6
#13 0x00007fb478a45811 in DImg (this=0x7fb449247cd0, image=...) at /build/buildd/digikam-1.2.0/libs/dimg/dimg.cpp:134
#14 0x00007fb478b98e97 in Digikam::PreviewLoadingTask::execute (this=0x747f8f0) at /build/buildd/digikam-1.2.0/libs/threadimageio/previewtask.cpp:200
#15 0x00007fb478b814fc in Digikam::LoadSaveThread::run (this=0x743d830) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:134
#16 0x00007fb475227775 in QThreadPrivate::start (arg=0x743d830) at thread/qthread_unix.cpp:248
#17 0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#18 0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fb44a24a710 (LWP 4958)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb47522872b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x742fcd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x742fcd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb478b81532 in Digikam::LoadSaveThread::run (this=0x742fcc0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb475227775 in QThreadPrivate::start (arg=0x742fcc0) at thread/qthread_unix.cpp:248
#5  0x00007fb474f979ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb4742ce69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fb47bb827e0 (LWP 4764)):
#0  0x00007fb4742c1f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fb46d0bc29a in ?? () from /usr/lib/libxcb.so.1
#2  0x00007fb46d0bc7d7 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007fb46d0bca85 in xcb_writev () from /usr/lib/libxcb.so.1
#4  0x00007fb47366c6fa in _XSend () from /usr/lib/libX11.so.6
#5  0x00007fb47366cc21 in _XEventsQueued () from /usr/lib/libX11.so.6
#6  0x00007fb47365540b in XEventsQueued () from /usr/lib/libX11.so.6
#7  0x00007fb4762b6697 in x11EventSourcePrepare (s=0x159dfd0, timeout=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:79
#8  0x00007fb4715bceb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#9  0x00007fb4715bd318 in ?? () from /lib/libglib-2.0.so.0
#10 0x00007fb4715bd8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#11 0x00007fb475345513 in QEventDispatcherGlib::processEvents (this=0x155faa0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#12 0x00007fb4762b646e in QGuiEventDispatcherGlib::processEvents (this=0x7fff76196830, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#13 0x00007fb47531a992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#14 0x00007fb47531ad6c in QEventLoop::exec (this=0x7fff76196bb0, flags=) at kernel/qeventloop.cpp:201
#15 0x00007fb47531eaab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#16 0x000000000077fa9b in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.2.0/digikam/main.cpp:193

This bug may be a duplicate of or related to bug 218435.

Possible duplicates by query: bug 235763, bug 222273, bug 218435, bug 214665, bug 195652.

Reported using DrKonqi
Comment 1 Johannes Wienke 2010-05-17 20:18:01 UTC
This is clearly an out of memory error. Any idea how to report this in the user interface from a non-gui thread?
Comment 2 Marcel Wiesweg 2010-05-17 21:25:07 UTC
SVN commit 1127842 by mwiesweg:

Use standard method to allocate data when constructing from QImage.
This should avoid the crash and instead silently fail in the situation of the bug report.

CCBUG: 237957

 M  +13 -7     dimg.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1127842
Comment 3 caulier.gilles 2010-10-06 14:38:08 UTC
Can you try using digiKam version 1.4.0 including patch from Marcel ? 

Thanks in advance

Gilles Caulier
Comment 4 caulier.gilles 2010-11-24 09:09:05 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 5 Marcel Wiesweg 2011-01-18 14:38:40 UTC
With the commit, it should at least fail and not crash if memory is insufficient for a large image.
Feel free to reopen if you experience a crash with a recent (>= 1.7) version.